Support » Plugin: Quick Event Manager » Site crashed after last update

  • Resolved Nanette Kalisvaart

    (@nanettekalisvaart)


    Hi,

    Unfortunately my site crashed (Error 500) with the last update.
    How to get it back working?

    Regards,
    Nanette

    The page I need help with: [log in to see the link]

Viewing 15 replies - 1 through 15 (of 15 total)
  • Thread Starter Nanette Kalisvaart

    (@nanettekalisvaart)

    Got the site back working by renaming (and disabling) the plugin. But I really need it to work (we’re in the middle of an event) ánd I need the data (information page and submissions). Where is this stored?

    Plugin Author Fullworks

    (@fullworks)

    What is the detail in the error log?

    If you think it is the latest release you can download and install the prior version to see entries on this page https://wordpress.org/plugins/quick-event-manager/advanced/

    Thread Starter Nanette Kalisvaart

    (@nanettekalisvaart)

    PHP Fatal error: Can’t use function return value in write context in /var/www/vhosts/vrouwenkamer.nl/httpdocs/wp-content/plugins/quick-event-manager/legacy/settings.php on line 289

    Plugin Author Fullworks

    (@fullworks)

    Thanks, will get back to you.

    Plugin Author Fullworks

    (@fullworks)

    Can you tell me what version of PHP you are on, please?

    ( You can get this from settings>site health )

    Thread Starter Nanette Kalisvaart

    (@nanettekalisvaart)

    PHP Settings (V5.4.45 outdated).
    Hm, ‘outdated’ doesn’t sound good.
    Will ask my provider about this.

    Plugin Author Fullworks

    (@fullworks)

    Yes this plugin requires a minimum of 5.6 – but really you should be on 7.3.

    Php 5.4 was retired in September 2015 i.e. 6 years ago!!!!

    Thread Starter Nanette Kalisvaart

    (@nanettekalisvaart)

    😲😳
    I’ll let you know when we got that fixed and if that was the culprit.

    Thread Starter Nanette Kalisvaart

    (@nanettekalisvaart)

    We changed it to 7.3 but still get this error when trying to activate plugin:

    “Fatal error: Can’t use function return value in write context in /var/www/vhosts/vrouwenkamer.nl/httpdocs/wp-content/plugins/quick-event-manager/legacy/settings.php on line 289“

    Thread Starter Nanette Kalisvaart

    (@nanettekalisvaart)

    Before I try to go back a version just checking how to go about this safely.
    Should I uninstall/install or can I just ‘replace files’?

    And either way, will I loose the existing data?
    (We’re in the middle of an event …)

    Plugin Author Fullworks

    (@fullworks)

    Whilst I can’t actually recreate the error, I believe I have a fix for it, would you like to pre-test the potential fix?

    Plugin Author Fullworks

    (@fullworks)

    You can just replace the whole plugin folder. You won’t loose data.

    Thread Starter Nanette Kalisvaart

    (@nanettekalisvaart)

    Shall I test going back to a previous version first?
    And then upgrading to the newest version?
    Or is the fix better?

    Plugin Author Fullworks

    (@fullworks)

    I have just released 9.0.21 for a different reason and included what might solve your problem. As mentioned, I can’t replicate your exact error so it is impossible for me to say definitively if it is fixed.

    Thread Starter Nanette Kalisvaart

    (@nanettekalisvaart)

    YESS! Thank you!

Viewing 15 replies - 1 through 15 (of 15 total)
  • You must be logged in to reply to this topic.